"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnNull = void 0;
var index_1 = require("../index");
/**
 * Used to set specific HTTP status code when result returned by a controller action is equal to null.
 * Must be applied on a controller action.
 */
function OnNull(codeOrError) {
    return function (object, methodName) {
        index_1.getMetadataArgsStorage().responseHandlers.push({
            type: "on-null",
            target: object.constructor,
            method: methodName,
            value: codeOrError
        });
    };
}
exports.OnNull = OnNull;
//# sourceMappingURL=OnNull.js.map